#include "Query.h"

using std::cin;

void interface(vector<Park_spot>& spots);
void interface_member(vector<Park_spot>& spots, Customer& c);
void interface_admin(vector<Park_spot>& spots);
void park(Customer& c, vector<Park_spot>& spots);
void new_customer();
void new_admin();
void new_parkspot(vector<Park_spot>& spots);

// time creation
pair<int, int> create_month_period();
pair<int, int> create_week_period();

// report stuff
void report_single_spot(bool weekly = false);
void report_all_spots(bool weekly = false);